| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Seis2DLineMerger Class Reference
Seis

merges two 2D lines into a new one (same Line Set) More...

`#include <seis2dlinemerge.h>`

Inheritance diagram for Seis2DLineMerger:
[legend]

## Public Types
enum | Opt { MatchTrcNr , MatchCoords , SimpleAppend }
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| Seis2DLineMerger (const BufferStringSet &datanms, const Pos::GeomID &)
| ~Seis2DLineMerger ()
int | nextStep () override
od_int64 | nrDone () const override
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
BufferString | lnm1_
BufferString | lnm2_
SamplingData< int > | numbering_
Opt | opt_
BufferString | outlnm_
bool | renumber_
double | snapdist_
bool | stckdupl_
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Protected Member Functions
int | doIO ()
void | doMerge (const TypeSet< int > &, bool)
int | doWork ()
bool | getLineID (const char *, int &) const
void | makeBufsCompat ()
void | mergeBufs ()
void | mergeOnCoords ()
bool | nextAttr ()
bool | nextFetcher ()
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
BufferStringSet & | attrnms_
int | curattridx_
int | currentlyreading_
Seis2DDataSet * | ds_
Executor * | fetcher_
bool | have1_
bool | have2_
PosInfo::Line2DData & | l2dd1_
PosInfo::Line2DData & | l2dd2_
Pos::GeomID | lid1_
Pos::GeomID | lid2_
uiString | msg_
od_int64 | nrdone_
uiString | nrdonemsg_
SeisTrcBuf & | outbuf_
const Pos::GeomID & | outgeomid_
PosInfo::Line2DData & | outl2dd_
Seis2DLinePutter * | putter_
SeisTrcBuf & | tbuf1_
SeisTrcBuf & | tbuf2_
od_int64 | totnr_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

merges two 2D lines into a new one (same Line Set)

<>

## Member Enumeration Documentation

## ◆ Opt

enum Seis2DLineMerger::Opt

Enumerator
MatchTrcNr |
MatchCoords |
SimpleAppend |

## Constructor & Destructor Documentation

## ◆ Seis2DLineMerger()

Seis2DLineMerger::Seis2DLineMerger | ( | const BufferStringSet & | datanms,
|  | const Pos::GeomID & | )

## ◆ ~Seis2DLineMerger()

Seis2DLineMerger::~Seis2DLineMerger | ( |  | ) |

## Member Function Documentation

## ◆ doIO()

int Seis2DLineMerger::doIO | ( |  | ) |
| protected

## ◆ doMerge()

void Seis2DLineMerger::doMerge | ( | const TypeSet< int > & | ,
|  | bool | )
| protected

## ◆ doWork()

int Seis2DLineMerger::doWork | ( |  | ) |
| protected

## ◆ getLineID()

bool Seis2DLineMerger::getLineID | ( | const char * | ,
|  | int & | ) const
| protected

## ◆ makeBufsCompat()

void Seis2DLineMerger::makeBufsCompat | ( |  | ) |
| protected

## ◆ mergeBufs()

void Seis2DLineMerger::mergeBufs | ( |  | ) |
| protected

## ◆ mergeOnCoords()

void Seis2DLineMerger::mergeOnCoords | ( |  | ) |
| protected

## ◆ nextAttr()

bool Seis2DLineMerger::nextAttr | ( |  | ) |
| protected

## ◆ nextFetcher()

bool Seis2DLineMerger::nextFetcher | ( |  | ) |
| protected

## ◆ nextStep()

int Seis2DLineMerger::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 Seis2DLineMerger::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ totalNr()

od_int64 Seis2DLineMerger::totalNr | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString Seis2DLineMerger::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString Seis2DLineMerger::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ attrnms_

BufferStringSet& Seis2DLineMerger::attrnms_
| protected

## ◆ curattridx_

int Seis2DLineMerger::curattridx_
| protected

## ◆ currentlyreading_

int Seis2DLineMerger::currentlyreading_
| protected

## ◆ ds_

Seis2DDataSet* Seis2DLineMerger::ds_
| protected

## ◆ fetcher_

Executor* Seis2DLineMerger::fetcher_
| protected

## ◆ have1_

bool Seis2DLineMerger::have1_
| protected

## ◆ have2_

bool Seis2DLineMerger::have2_
| protected

## ◆ l2dd1_

PosInfo::Line2DData& Seis2DLineMerger::l2dd1_
| protected

## ◆ l2dd2_

PosInfo::Line2DData& Seis2DLineMerger::l2dd2_
| protected

## ◆ lid1_

Pos::GeomID Seis2DLineMerger::lid1_
| protected

## ◆ lid2_

Pos::GeomID Seis2DLineMerger::lid2_
| protected

## ◆ lnm1_

BufferString Seis2DLineMerger::lnm1_

## ◆ lnm2_

BufferString Seis2DLineMerger::lnm2_

## ◆ msg_

uiString Seis2DLineMerger::msg_
| protected

## ◆ nrdone_

od_int64 Seis2DLineMerger::nrdone_
| protected

## ◆ nrdonemsg_

uiString Seis2DLineMerger::nrdonemsg_
| protected

## ◆ numbering_

SamplingData<int> Seis2DLineMerger::numbering_

## ◆ opt_

Opt Seis2DLineMerger::opt_

## ◆ outbuf_

SeisTrcBuf& Seis2DLineMerger::outbuf_
| protected

## ◆ outgeomid_

const Pos::GeomID& Seis2DLineMerger::outgeomid_
| protected

## ◆ outl2dd_

PosInfo::Line2DData& Seis2DLineMerger::outl2dd_
| protected

## ◆ outlnm_

BufferString Seis2DLineMerger::outlnm_

## ◆ putter_

Seis2DLinePutter* Seis2DLineMerger::putter_
| protected

## ◆ renumber_

bool Seis2DLineMerger::renumber_

## ◆ snapdist_

double Seis2DLineMerger::snapdist_

## ◆ stckdupl_

bool Seis2DLineMerger::stckdupl_

## ◆ tbuf1_

SeisTrcBuf& Seis2DLineMerger::tbuf1_
| protected

## ◆ tbuf2_

SeisTrcBuf& Seis2DLineMerger::tbuf2_
| protected

## ◆ totnr_

od_int64 Seis2DLineMerger::totnr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025